<%- include('../partials/header') %>
<%- include('../partials/scripts') %>
</head>

<body class="min-vh-100 d-flex flex-column">
	<%- include('../partials/navbar') %>
	<div class="main-content d-flex flex-column flex-grow-1">
		<%- include('../partials/topbar') %>
		<%- include('./header', { active: 'list' }) %>
		<div class="container-fluid mt--7 flex-grow-1">
			<!-- Light table -->
			<div class="row">
				<div class="col">
					<div class="card">
						<!-- Card header -->
						<div class="card-header border-0">
							<h3 class="mb-0">Seznam</h3>
						</div>
						<div class="table-responsive">
							<table class="table w-100" id="results">
								<thead class="thead-light">
									<tr>
										<th>ID</th>
										<th>Pozice</th>
										<th>Soutěž</th>
										<th>Tým</th>
										<th>Okres</th>
										<th>Kategorie</th>
										<th>L&nbsp;terč</th>
										<th>P&nbsp;terč</th>
										<th>Čas</th>
										<th>Body</th>
										<th style="text-align: center; ">Akce</th>
									</tr>
								</thead>
							</table>
						</div>
					</div>
				</div>
			</div>
			<%- include('../partials/footer') %>
		</div>
	</div>
	<%- include('../partials/scripts-file-end') %>
	<%- include('../partials/datatables') %>
	<script>
		function deleteResultById(id) {
			swal({
				title: 'Opravdu chcete smazat tento výsledek?',
				text: 'Radši si to dvakrát rozmyslete.',
				icon: 'warning',
				timer: 5000,
				dangerMode: true,
				buttons: {
					cancel: "Byl to omyl",
					confirm: 'Smazat!',
				},
			}).then((confirm) => {
				if (confirm) {
					API.result
						.delete(id)
						.exec(function (response) {
							console.log(response);
							switch (response) {
								case 'ok':
									swal({
										title: 'Výsledek je smazán!',
										text: 'Už ho nikdy neuvidíme.',
										icon: 'success',
										timer: 5000
									}).then((value) => {
										location.reload()
									})
									break

								default:
									swal({
										title: 'Něco se pokazilo!',
										text: response,
										icon: 'error'
									})
									break
							}
						})
				}
			})
		}

		$(document).ready(function () {
			API.result
				.list()
				.done((dataFromServer) => {
					let position = 1
					$('table#results').DataTable({
						language: {
							url: '/js/dataTables/myCzech.json'
						},
						order: [[1, "asc"]],
						responsive: true,
						data: dataFromServer,
						columns: [
							{
								data: "_id",
								visible: false,
							}, {
								data: null,
								mRender: function () {
									return position++;
								}
							}, {
								data: 'competition.name'
							}, {
								data: 'team.name'
							}, {
								data: 'team.district.name.full'
							}, {
								data: 'category.name'
							}, {
								data: 'targets.left',
								fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
									formatResult(oData.targets.left, $(nTd))
								}
							}, {
								data: 'targets.right',
								fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
									formatResult(oData.targets.right, $(nTd))
								}
							}, {
								data: 'result',
								fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
									formatResult(oData.result, $(nTd))
								}
							}, {
								data: null,
								fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
									switch (oData.result) {
										case 0:
											$(nTd).html(0)
											break

										case -1:
											$(nTd).html(0)
											break

										default:
											$(nTd).html(oData.category.placementPoints[position - 2].points)
											break
									}
								}
							}, {
								data: '_id',
								fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
									$(nTd).html(
										$("<div>", { class: "row m-auto justify-content-around" }).append(
											oData.media.youtube === '#' ? '' : $('<a>', { href: oData.media.youtube }).append($('<i>', { class: 'fab fa-youtube text-danger' })),
											$("<a>", { href: `/admin/results/edit/${oData._id}`, style: "background: none; border: none; padding: 0; " }).append(
												$("<i>", { class: "fas fa-pen text-primary" }),
											),
											$('<button>', {
												onclick: `deleteResultById('${oData._id}');`,
												style: "background: none; border: none; padding: 0; "
											}).append(
												$('<i>', { class: "fas fa-trash text-danger" }),
											),
										),
									)
								}
							}
						],
					})
				})
		})
	</script>
	<%- include('../partials/file-end') %>
